/*=============================================================================
                                                                               
    Module Name:            aac_aux.h

    General Description:    Header file for AAC-LC decoder.
    
===============================================================================
                           Freescale Confidential Proprietary
                                   WMSG - Multimedia
                   (c) Copyright Freescale 2005, All Rights Reserved
  
Revision History:
                               Modification  Tracking
Author                         Date          Number      Description of Changes
-----------------------------  -----------  ----------  -----------------------
Balkrishnan N - B03957         31-JUL-2006  tlsbo73252   Review comment changes.                                                    


===============================================================================
                            INCLUDE FILES
=============================================================================*/

#ifndef __AAC_AUX_H__
#define __AAC_AUX_H__

gint    App_get_adts_header(AACD_Block_Params * params,
                           MFW_GST_AACDEC_INFO_T *aacdec_info);
gulong  App_bs_look_bits (gint nbits,MFW_GST_AACDEC_INFO_T *aacdec_info);
gulong  App_bs_read_bits (gint nbits,MFW_GST_AACDEC_INFO_T *aacdec_info);
gint    App_bs_byte_align(MFW_GST_AACDEC_INFO_T *aacdec_info);
gint    App_bs_refill_buffer(MFW_GST_AACDEC_INFO_T *aacdec_info);
void    App_bs_readinit(gchar *buf, gint bytes,
                        MFW_GST_AACDEC_INFO_T *aacdec_info);
gint    App_FindFileType(gint val,MFW_GST_AACDEC_INFO_T *aacdec_info);
gint    App_get_prog_config(AACD_ProgConfig * p,
                            MFW_GST_AACDEC_INFO_T *aacdec_info);
gint    App_get_adif_header(AACD_Block_Params * params,MFW_GST_AACDEC_INFO_T *aacdec_info);
int App_init_raw(AACD_Block_Params * params,int channel_config,int sampling_frequency);
int ADTSBitrate(AACD_Decoder_info *dec_info,MFW_GST_AACDEC_INFO_T * aacdec_info);
void trnsptAdjustBitrate(unsigned int offset, unsigned int frameSize,unsigned int bufferFullness,MFW_GST_AACDEC_INFO_T * aacdec_info);
 void *aacd_alloc_fast(gint size);

#endif
